import { FunctionComponent, ReactElement } from "react";
import IPostProps from "./IPostProps";
import defaultImage from '../../assets/default-image.jpg'


const Post: FunctionComponent<IPostProps> = (props): ReactElement => {
    return (
        <div className="post">
            <h3>user</h3>
            <div className="post_imageframe">
                <img
                    className="post_image"
                    src={`${import.meta.env.VITE_BASE_URL}/uploads/${props.post.image}`}
                    alt={props.post.title}
                    onError={(e) => {
                        e.currentTarget.src = defaultImage
                    }} />
            </div>
            <p>{props.post.datetime}</p>
        </div>
    )
}

export default Post